Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml
Interface WMLMetaElement

All Superinterfaces:
  Element, Node, WMLElement

All Known Implementing Classes:
  WMLMetaElementImpl

Deprecated. 9.2.0.0 Replaced by org.apache.wml.WMLMetaElement.

    public interface WMLMetaElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

The meta element contains meta-info of an WML deck (Section 11.3.2, WAP WML Version 16-Jun-1999)

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getContent()` Deprecated.
`boolean` | `getForua()` Deprecated.
`String` | `getHttpEquiv()` Deprecated.
`String` | `getName()` Deprecated.
`String` | `getScheme()` Deprecated.
`void` | `setContent(String newValue)` Deprecated. 'content' attribute specifies the property value
`void` | `setForua(boolean newValue)` Deprecated. 'forua' attribute specifies whether a intermediate agent should remove this meta element.
`void` | `setHttpEquiv(String newValue)` Deprecated. 'http-equiv' attribute indicates the property should be interpret as HTTP header.
`void` | `setName(String newValue)` Deprecated. 'name' attribute specific the property name
`void` | `setScheme(String newValue)` Deprecated. 'scheme' attribute specifies a form that may be used to interpret the property value

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setName

    void setName(String newValue)

  Deprecated.
  'name' attribute specific the property name

### getName

    String getName()

  Deprecated.

### setHttpEquiv

    void setHttpEquiv(String newValue)

  Deprecated.
  'http-equiv' attribute indicates the property should be interpret as HTTP header.

### getHttpEquiv

    String getHttpEquiv()

  Deprecated.

### setForua

    void setForua(boolean newValue)

  Deprecated.
  'forua' attribute specifies whether a intermediate agent should remove this meta element. A value of false means the intermediate agent must remove the element.

### getForua

    boolean getForua()

  Deprecated.

### setScheme

    void setScheme(String newValue)

  Deprecated.
  'scheme' attribute specifies a form that may be used to interpret the property value

### getScheme

    String getScheme()

  Deprecated.

### setContent

    void setContent(String newValue)

  Deprecated.
  'content' attribute specifies the property value

### getContent

    String getContent()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD